---
permalink: /docs/community-filters
layout: single
classes: wide
title: Community Filters
sidebar:
  nav: "sidebar"
---

The beauty of Regolith is that filters can be written and shared by anyone! This page contains an uncurated list of community filters. If your filter doesn't appear here, [let us know](https://discord.com/invite/XjV87YN)!

Community filters may always be accessed directly via their URL:

```json
{
  "url": "github.com/user/repo/folder"
}
```

**Warning:** Please use extreme caution when running unknown code. Regolith and its maintainers take no responsibility for any damages incurred by using the filters on this page. To learn more, please read our [safety page](/regolith/docs/safety).
{: .notice--warning}

**Tip:** Having trouble? You can learn more about online filters [here](/regolith/docs/online-filters).
{: .notice--warning}


## Filters

| Name                                                                                                    | Author         | Language | Description                                                                                                                                                                                                                                           |
|---------------------------------------------------------------------------------------------------------|----------------|----------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [Say Function Name](https://github.com/Nusiq/regolith-filters/tree/master/debug_say_function_name)      | Nusiq          | Python | Adds say command to the functions from specified paths to print the names of the functions when they're executed.                                                                                                                                     |
| [pytemplate](https://github.com/Nusiq/regolith-filters/tree/master/pytemplate)                           | Nusiq          | Python | This filter loops through the JSON files from RP and BP that match provided glob patterns (*/**.json by default), when it finds a JSON key that matches the name specified in settings, it replaces it with a value generated based on template file. |
| [subfunctions](https://github.com/Nusiq/regolith-filters/tree/master/subfunctions)                      | Nusiq          | Python | It extends the syntax of Mcfunctions and lets you implement function files inside other function files.                                                                                                                                               |
| [Echo:NPC](https://github.com/SirLich/echo-npc-regolith/tree/main/echo)                                           | SirLich        | Python | Compiles Echo:NPC templates.                                                                                                                                                                                                                          |
| [JSON Templating Engine](https://github.com/MCDevKit/regolith-library/tree/main/json_templating_engine) | MCDevKit       | Java | JSON templating engine for quicker generation of complicated JSON files.                                                                                                                                                                              |
| [Templater](https://github.com/Hatchibombotar/useful-regolith-filters/tree/main/templater)              | Hatchibombotar | Node JS | A templater filter for regolith.                                                                                                                                                                                                                     |
| [Function Shorthand](https://github.com/evilguy50/regolith-shorthand/tree/master/shorthand)            | evilguy50      | Python | Filter for having shorthand syntax inside of functions.   |
| [DS_Store](https://github.com/evilguy50/regolith-ds_store)            | evilguy50      | Nim | filter for removing .DS_Store files.                           |
| [Strip](https://github.com/evilguy50/regolith-strip)            | evilguy50      | Nim | Filter for stripping comments in json, lang, and mcfunction files. also formats the json files. |
| [Functioner](https://github.com/Hatchibombotar/useful-regolith-filters/tree/main/functioner)            | Hatchibombotar      | Node JS | A filter that adds more syntax to function files. |
| [Link Manifests](https://github.com/Hatchibombotar/useful-regolith-filters/tree/main/link_manifests)            | Hatchibombotar      | Node JS | Filter for linking manifest dependencies between the behaviour and resource packs.                                                                                                                                                                                               |
| [esbuild Executor](https://github.com/MajestikButter/regolith-filters/tree/main/esbuild_executor) | MajestikButter | Node JS | Filter for executing [esbuild](https://esbuild.github.io/). |
| [JSON Formatter](https://github.com/MajestikButter/regolith-filters/tree/main/json_formatter) | MajestikButter | Node JS | Filter for formatting JSON files. Includes single line and obfuscation options. |
